﻿using System;
using System.Collections;
using System.Collections.Generic;
using UnityEngine;

namespace UPP.Engine
{

    [Serializable]
    public class TemplateRecord : ScriptableObject
    {
        [SerializeField]
        public List<PropertyRecord> PropertyRecords = new List<PropertyRecord>();

        [SerializeField]
        public string TemplateMachineName = "";

        [SerializeField]
        public string TemplateName = "";

        [SerializeField]
        public string Category = "";

        [SerializeField]
        public string MachineParent = "";
    }
}