﻿using System;
using System.Collections;
using System.Collections.Generic;
using UnityEngine;

namespace UPP.Engine
{

    [Serializable]
    public class ClassRecord : ScriptableObject
    {

        [SerializeField]
        public string className = "";

        [SerializeField]
        public string machineName = "";

        [SerializeField]
        public string machineParent = "";

        [SerializeField]
        public string description = "";

        [SerializeField]
        public bool isAbstract = true;

        [SerializeField]
        public int diagramX = -1;

        [SerializeField]
        public int diagramY = -1;
    }

}